
/* 
 * Copyright (c) 1993-2003 LAAS/CNRS
 * All rights reserved.
 *
 * Redistribution and use  in source  and binary  forms,  with or without
 * modification, are permitted provided that the following conditions are
 * met:
 *
 *   1. Redistributions of  source  code must retain the  above copyright
 *      notice, this list of conditions and the following disclaimer.
 *   2. Redistributions in binary form must reproduce the above copyright
 *      notice,  this list of  conditions and the following disclaimer in
 *      the  documentation  and/or  other   materials provided  with  the
 *      distribution.
 *
 * THIS  SOFTWARE IS PROVIDED BY  THE  COPYRIGHT HOLDERS AND CONTRIBUTORS
 * "AS IS" AND  ANY  EXPRESS OR IMPLIED  WARRANTIES,  INCLUDING,  BUT NOT
 * LIMITED TO, THE IMPLIED WARRANTIES  OF MERCHANTABILITY AND FITNESS FOR
 * A PARTICULAR  PURPOSE ARE DISCLAIMED. IN  NO EVENT SHALL THE COPYRIGHT
 * HOLDERS OR      CONTRIBUTORS  BE LIABLE FOR   ANY    DIRECT, INDIRECT,
 * INCIDENTAL,  SPECIAL,  EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING,
 * BUT NOT LIMITED TO, PROCUREMENT OF  SUBSTITUTE GOODS OR SERVICES; LOSS
 * OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
 * ON ANY THEORY OF LIABILITY, WHETHER IN  CONTRACT, STRICT LIABILITY, OR
 * TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE
 * USE   OF THIS SOFTWARE, EVEN   IF ADVISED OF   THE POSSIBILITY OF SUCH
 * DAMAGE.
 */

/*------------------  Fichier gnr automatiquement ------------------*/
/*------------------  Ne pas diter manuellement !!! ------------------*/

#ifndef MTI_PRINT_H
#define MTI_PRINT_H

#include "genom/printScan.h"

/* Structures definies par d'autres modules */

#include "server/pomPrint.h"

#include "server/genBasicPrint.h"


#include "MTIPosterLib.h"

/* Prototypes */
#ifdef __cplusplus
extern "C" {
#endif
extern void print_struct_MTI_SEPOS_POSTER_STR ( FILE *out,
     struct MTI_SEPOS_POSTER_STR *x,
     int indent, int nDim, int *dims, FILE *in );
extern void print_struct_MTI_MTI_INFO_POSTER_STR ( FILE *out,
     struct MTI_MTI_INFO_POSTER_STR *x,
     int indent, int nDim, int *dims, FILE *in );
extern void print_struct_INERTIAL_STR ( FILE *out,
     struct INERTIAL_STR *x,
     int indent, int nDim, int *dims, FILE *in );
extern void print_struct_MTI_TRIGGER ( FILE *out,
     struct MTI_TRIGGER *x,
     int indent, int nDim, int *dims, FILE *in );
extern void print_struct_MTI_BIASES ( FILE *out,
     struct MTI_BIASES *x,
     int indent, int nDim, int *dims, FILE *in );
extern void print_struct_AVERAGING_PARAMETERS ( FILE *out,
     struct AVERAGING_PARAMETERS *x,
     int indent, int nDim, int *dims, FILE *in );
extern void print_struct_INERTIAL_DATA ( FILE *out,
     struct INERTIAL_DATA *x,
     int indent, int nDim, int *dims, FILE *in );
extern void print_struct_INERTIAL_CONFIG ( FILE *out,
     struct INERTIAL_CONFIG *x,
     int indent, int nDim, int *dims, FILE *in );
extern void print_struct_INERTIAL_DEVICE ( FILE *out,
     struct INERTIAL_DEVICE *x,
     int indent, int nDim, int *dims, FILE *in );
extern void print_enum_SyncOutPulsePolarity ( FILE *out,
     enum SyncOutPulsePolarity *x,
     int indent, int nDim, int *dims, FILE *in );
extern void print_enum_SyncOutMode ( FILE *out,
     enum SyncOutMode *x,
     int indent, int nDim, int *dims, FILE *in );
extern void print_enum_OutputFormat ( FILE *out,
     enum OutputFormat *x,
     int indent, int nDim, int *dims, FILE *in );
extern void print_enum_OutputMode ( FILE *out,
     enum OutputMode *x,
     int indent, int nDim, int *dims, FILE *in );

/* ======================== PRINT DES TYPEDEF ============================= */

extern void print_OutputMode ( FILE *out,
     OutputMode *x,
     int indent, int nDim, int *dims, FILE *in );
extern void print_OutputFormat ( FILE *out,
     OutputFormat *x,
     int indent, int nDim, int *dims, FILE *in );
extern void print_SyncOutMode ( FILE *out,
     SyncOutMode *x,
     int indent, int nDim, int *dims, FILE *in );
extern void print_SyncOutPulsePolarity ( FILE *out,
     SyncOutPulsePolarity *x,
     int indent, int nDim, int *dims, FILE *in );
extern void print_INERTIAL_DEVICE ( FILE *out,
     INERTIAL_DEVICE *x,
     int indent, int nDim, int *dims, FILE *in );
extern void print_INERTIAL_CONFIG ( FILE *out,
     INERTIAL_CONFIG *x,
     int indent, int nDim, int *dims, FILE *in );
extern void print_INERTIAL_DATA ( FILE *out,
     INERTIAL_DATA *x,
     int indent, int nDim, int *dims, FILE *in );
extern void print_AVERAGING_PARAMETERS ( FILE *out,
     AVERAGING_PARAMETERS *x,
     int indent, int nDim, int *dims, FILE *in );
extern void print_MTI_BIASES ( FILE *out,
     MTI_BIASES *x,
     int indent, int nDim, int *dims, FILE *in );
extern void print_MTI_TRIGGER ( FILE *out,
     MTI_TRIGGER *x,
     int indent, int nDim, int *dims, FILE *in );
extern void print_INERTIAL_STR ( FILE *out,
     INERTIAL_STR *x,
     int indent, int nDim, int *dims, FILE *in );
extern void print_MTI_MTI_INFO_POSTER_STR ( FILE *out,
     MTI_MTI_INFO_POSTER_STR *x,
     int indent, int nDim, int *dims, FILE *in );
extern void print_MTI_SEPOS_POSTER_STR ( FILE *out,
     MTI_SEPOS_POSTER_STR *x,
     int indent, int nDim, int *dims, FILE *in );
#ifdef __cplusplus
}
#endif

#endif /* MTI_PRINT_H */

